Package twisted :: Package web :: Package woven :: Module simpleguard |
[frames | no frames]

## Module twisted.web.woven.simpleguard

    A simple guard framework for implementing web sites that only need
    'Anonymous' vs 'Logged on' distinction, but nothing more.

    If you need
     * multiple levels of access, or
     * multiple-interface applications, or
     * anything else more complex than 'Logged on' and 'Not logged on'

    you need to use twisted.web.woven.guard directly.

Classes
`Authenticated` |
`MarkAuthenticatedResource` |
`MarkingRealm` |

Function Summary
| `guardResource(resource, checkers, callback, errback, nonauthenticated)`
| `parentRedirect(_)`

Generated by Epydoc 2.0 on Sat Oct 25 00:55:07 2003 | http://epydoc.sf.net